import java.util.*;  

public class HashMapEx3 {
  public static void main(String args[]){ 
    // here keys are String, associated values are Node objects 
    HashMap<String,Node> map=new HashMap<String,Node>(); //Creating HashMap    
    map.put("Durham",new Node("Durham"));  //Put elements in Map  
    map.put("Raleigh",new Node("Raleigh"));    
    map.put("Apex", new Node("Apex")); 
    map.put("Chapel Hill",new Node("Chapel Hill"));
              
    System.out.println("Iterating Hashmap... objects");  
    for(Map.Entry m : map.entrySet()){    
      System.out.print(m.getKey()+":> "+m.getValue()); 
        // prints object address in the heap  
      Node n = map.get(m.getKey());
      System.out.println (
        " ( "+n.getName() + 
        ", adj:" + n.getAdj() + 
        ", nxt:" + n.getNext() + " )");
    } 
  }  
}