import java.util.*;  

// see https://www.javatpoint.com/java-hashmap
// for the HashMap API

public class HashMapEx1 {  
  public static void main(String args[]){ 
    // here keys are integer, associated values are String 
    HashMap<Integer,String> map=new HashMap<Integer,String>();//Creating HashMap    
    map.put(1,"Mango");  //Put elements in Map  
    map.put(2,"Apple");    
    map.put(3,"Banana");   
    map.put(4,"Grapes");  
    // Note this sort of HashMap can also be done by Array...
    // but what are the downsides to doing this?
    //
    // String[] map = New Array[5000] ; <--- waste a lot of space to save a few items
    // map[1] = "Mango";
    // map[2] = "Apple"; // etc...
           
    System.out.println("Iterating Hashmap...");  
    for(Map.Entry m : map.entrySet()){    
      System.out.println(m.getKey()+":> "+m.getValue());    
    }  
  }  
}  